%global eclipse_base		%{_libdir}/eclipse
%global install_loc			%{_datadir}/eclipse/dropins

Name:			eclipse-wtp-common
Version:		3.2.4
Release:		1%{?dist}
Summary:		Common infrastructure and utilities developed and used with WTP

License:		EPL
URL:			http://www.eclipse.org/webtools/common/
Source0:		eclipse-wtp-common-R3_2_4-fetched-src.tar.bz2
Source1:		fetch-wtp-common-source.sh

BuildArch:		noarch

BuildRequires:	java-devel >= 1.5.0
BuildRequires:	eclipse-pde >= 1:3.6.2
BuildRequires:	eclipse-platform >= 1:3.6.2
BuildRequires:	eclipse-jdt >= 1:3.6.2
BuildRequires:	eclipse-emf-xsd >= 2.6.0
BuildRequires:	eclipse-gef >= 3.6.2
BuildRequires:	eclipse-dtp >= 1.8.2
Requires:		eclipse-platform >= 1:3.6.2
Requires:		eclipse-jdt >= 1:3.6.2
Requires:		eclipse-emf-xsd >= 2.6.0
Requires:		eclipse-gef >= 3.6.2
Requires:		eclipse-dtp >= 1.8.2

%description
This package contains various common utilities that are developed and used with
the eclipse web tools platform including facets, snippets view, validation and
extensible URI resolver.

%prep
%setup -q

%build
%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.wst.common.fproj \
	-d "emf gef"

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.jst.common.fproj.enablement.jdt \
	-d "emf gef"

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.wst.common_core.feature \
	-d "emf gef"

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.wst.server_core.feature \
	-d "emf gef"

%{eclipse_base}/buildscripts/pdebuild -f org.eclipse.wst.common_ui.feature \
	-d "emf gef"

%install
install -d -m 755 %{buildroot}%{_datadir}/eclipse
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.common.fproj
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.jst.common.fproj.enablement.jdt
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.common_core.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.server_core.feature
install -d -m 755 %{buildroot}%{install_loc}/org.eclipse.wst.common_ui.feature

unzip -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.common.fproj \
 build/rpmBuild/org.eclipse.wst.common.fproj.zip

unzip -q -o -d %{buildroot}%{install_loc}/org.eclipse.jst.common.fproj.enablement.jdt \
 build/rpmBuild/org.eclipse.jst.common.fproj.enablement.jdt.zip

unzip -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.common_core.feature \
 build/rpmBuild/org.eclipse.wst.common_core.feature.zip

unzip -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.server_core.feature \
 build/rpmBuild/org.eclipse.wst.server_core.feature.zip

unzip -q -o -d %{buildroot}%{install_loc}/org.eclipse.wst.common_ui.feature \
 build/rpmBuild/org.eclipse.wst.common_ui.feature.zip


%files
%{install_loc}/org.eclipse.wst.common.fproj
%{install_loc}/org.eclipse.jst.common.fproj.enablement.jdt
%{install_loc}/org.eclipse.wst.common_core.feature
%{install_loc}/org.eclipse.wst.server_core.feature
%{install_loc}/org.eclipse.wst.common_ui.feature
%doc features/org.eclipse.wst.common_core.feature/epl-v10.html
%doc features/org.eclipse.wst.common_core.feature/license.html

%changelog
* Fri Jun 10 2011 Andrew Robinson <arobinso@redhat.com> 3.2.4-1
- Initial Fedora package